# setExceptionFormat

abstract fun setExceptionFormat(exceptionFormat: TestExceptionFormat)

Sets the format to be used for logging test exceptions. Only relevant if `showStackTraces` is `true`. Defaults to FULL for the INFO and DEBUG log levels and SHORT for the LIFECYCLE log level.

#### Since

4.0

#### Parameters

exceptionFormat

the format to be used for logging test exceptions

abstract fun setExceptionFormat(exceptionFormat: Any)

Sets the format to be used for logging test exceptions. Only relevant if `showStackTraces` is `true`. Defaults to FULL for the INFO and DEBUG log levels and SHORT for the LIFECYCLE log level.

#### Parameters

exceptionFormat

the format to be used for logging test exceptions